> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smolboard.app/llms.txt
> Use this file to discover all available pages before exploring further.

# List all Event entities



## OpenAPI

````yaml https://www.smolboard.app/api/openapi.json get /api/entities/event
openapi: 3.1.0
info:
  description: Auto-generated API documentation for smolboard
  title: smolboard
  version: 0.1.0
servers:
  - url: ''
security: []
paths:
  /api/entities/event:
    get:
      tags:
        - Event
      summary: List all Event entities
      operationId: listEvent
      parameters:
        - description: Maximum number of results
          in: query
          name: limit
          schema:
            type: integer
        - description: Number of results to skip
          in: query
          name: offset
          schema:
            default: 0
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  data:
                    items:
                      $ref: '#/components/schemas/Event'
                    type: array
                  limit:
                    nullable: true
                    type: integer
                  offset:
                    type: integer
                  total:
                    type: integer
                type: object
          description: List of Event
      security:
        - BearerAuth: []
components:
  schemas:
    Event:
      properties:
        brandingJson:
          type: string
        cfpStatus:
          type: string
        createdAt:
          format: date-time
          type: string
        description:
          type: string
        endDate:
          format: date-time
          type: string
        id:
          type: string
        location:
          type: string
        name:
          type: string
        orgId:
          type: string
        schedulePublished:
          type: boolean
        slug:
          type: string
        startDate:
          format: date-time
          type: string
        timezone:
          type: string
      required:
        - id
        - orgId
        - name
        - slug
        - timezone
        - cfpStatus
        - schedulePublished
        - createdAt
      type: object
  securitySchemes:
    BearerAuth:
      scheme: bearer
      type: http

````